apply from: "config.gradle"
buildscript {

    repositories {
        google()
        mavenCentral()

        maven { url 'https://jitpack.io' }
        maven {url "https://maven.aliyun.com/nexus/content/repositories/releases"}
        maven { url 'https://repo1.maven.org/maven2/'}
        maven {url 'https://developer.huawei.com/repo/'}
        //微博
//        maven { url "https://dl.bintray.com/thelasterstar/maven/" }


//        maven { url 'http://maven.aliyun.com/nexus/content/groups/public/' }
//        maven { url 'https://maven.aliyun.com/repository/public/' }
//        maven { url 'https://maven.aliyun.com/repository/google/' }
        maven { url 'https://maven.aliyun.com/repository/jcenter/' }
//        maven { url 'https://maven.aliyun.com/repository/central/' }

    }
    dependencies {
        classpath 'com.android.tools.build:gradle:4.2.0'
        classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:1.5.31"
        classpath 'com.huawei.agconnect:agcp:1.6.0.300'
    }
}

allprojects {
    repositories {
        google()
        mavenCentral()
        maven { url 'https://jitpack.io' }
        maven {
            url "https://maven.aliyun.com/nexus/content/repositories/releases"
        }
        maven { url 'https://maven.aliyun.com/repository/jcenter/' }
        maven { url 'https://repo1.maven.org/maven2/'}
        maven {url 'https://developer.huawei.com/repo/'}
        //微博
//        maven { url "https://dl.bintray.com/thelasterstar/maven/" }
    }
    configurations.all {
        resolutionStrategy {
            force 'org.xerial:sqlite-jdbc:3.34.0'
        }
    }
}

task clean(type: Delete) {
    delete rootProject.buildDir
}
